#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-dns-z-dns-internal
version:              4.0.1
package-name:         dns
lib-name:             dns-internal
id:                   dns-4.0.1-4AuXPST5QcE1i8AF5EXsk3-dns-internal
key:                  dns-4.0.1-4AuXPST5QcE1i8AF5EXsk3-dns-internal
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  7101c677923618a26dc8b88e40412856
exposed-modules:
    Network.DNS.Base32Hex Network.DNS.Decode.Internal
    Network.DNS.Decode.Parsers Network.DNS.Encode.Builders
    Network.DNS.Encode.Internal Network.DNS.Imports Network.DNS.Memo
    Network.DNS.Resolver.Internal Network.DNS.StateBinary
    Network.DNS.Types.Internal Network.DNS.Types.Resolver

import-dirs:          /usr/lib/ghc-9.0.2/site-local/dns-4.0.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/dns-4.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.0.1-4AuXPST5QcE1i8AF5EXsk3-dns-internal
depends:
    array-0.5.4.0 async-2.2.4-CZCW19AQt64j5Nn1VW4P0
    attoparsec-0.14.4-5IzIDbgcbv25MsrsjK5Xz5
    auto-update-0.1.6-66OnzjYncLWAYgOiRNjjcw base-4.15.1.0
    base16-bytestring-1.0.2.0-1csYxhEsYs5IL7o3RWgSzs
    base64-bytestring-1.2.1.0-CD20UR333exInJcfhk1d9j
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.30-CCCnX4XiRrvh8pFYNdeV4
    hourglass-0.2.12-G23zhl6qKlP15LwPhITrBP
    iproute-1.7.12-I5kvgtUTl5pHIWxCN9RPyi mtl-2.2.2
    network-3.1.2.7-8MYdqm3OoEgFMARhN0ME57
    psqueues-0.2.7.3-Al4elWfoohnL1YaUuGKG1e

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 dns
version:              4.0.1
visibility:           public
id:                   dns-4.0.1-2hMwFGGQNJ08SeVquZqbxv
key:                  dns-4.0.1-2hMwFGGQNJ08SeVquZqbxv
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  bead614e2c1d8b2190858062bf8e1bd8
exposed:              True
exposed-modules:
    Network.DNS Network.DNS.Decode Network.DNS.Encode Network.DNS.IO
    Network.DNS.Lookup Network.DNS.LookupRaw Network.DNS.Resolver
    Network.DNS.Types Network.DNS.Utils

hidden-modules:       Network.DNS.Transport
import-dirs:          /usr/lib/ghc-9.0.2/site-local/dns-4.0.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/dns-4.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.0.1-2hMwFGGQNJ08SeVquZqbxv
depends:
    array-0.5.4.0 async-2.2.4-CZCW19AQt64j5Nn1VW4P0
    attoparsec-0.14.4-5IzIDbgcbv25MsrsjK5Xz5
    auto-update-0.1.6-66OnzjYncLWAYgOiRNjjcw base-4.15.1.0
    base16-bytestring-1.0.2.0-1csYxhEsYs5IL7o3RWgSzs
    base64-bytestring-1.2.1.0-CD20UR333exInJcfhk1d9j
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.30-CCCnX4XiRrvh8pFYNdeV4
    dns-4.0.1-4AuXPST5QcE1i8AF5EXsk3-dns-internal
    hourglass-0.2.12-G23zhl6qKlP15LwPhITrBP
    iproute-1.7.12-I5kvgtUTl5pHIWxCN9RPyi mtl-2.2.2
    network-3.1.2.7-8MYdqm3OoEgFMARhN0ME57
    psqueues-0.2.7.3-Al4elWfoohnL1YaUuGKG1e

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

